Name:           perl-IO-All
Version:        0.87
Release:        7
Summary:        IO::All Perl module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-All
Source0:        https://cpan.metacpan.org/authors/id/F/FR/FREW/IO-All-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp) perl(Cwd) perl(Fcntl) perl(File::Copy) perl(File::Glob) perl(Tie::File)
BuildRequires:  perl(File::MimeInfo) perl(File::Path) perl(File::ReadBackwards) perl(warnings)
BuildRequires:  perl(File::Spec) perl(IO::Dir) perl(IO::File) perl(IO::Handle) perl(Symbol)
BuildRequires:  perl(IO::Socket) perl(overload) perl(POSIX) perl(Scalar::Util) perl(strict)
BuildRequires:  perl(base) perl(Config) perl(Data::Dumper) perl(diagnostics) perl(Exporter)
BuildRequires:  perl(File::Find) perl(File::Spec::Functions) perl(File::Temp) perl(FindBin)
BuildRequires:  perl(IO::Socket::INET) perl(lib) perl(Test::More) >= 0.88 perl(utf8) perl(vars) 

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(File::Copy) perl(File::MimeInfo) perl(File::Path) perl(File::ReadBackwards)
Requires:       perl(IO::Handle) perl(Tie::File) perl(warnings)

%description
IO::All combines all of the best Perl IO modules into a single Spiffy object
oriented interface to greatly simplify your everyday Perl IO idioms. It exports
a single function called "io", which returns a new IO::All object. And that 
object can do it all!

The IO::All object is a proxy for IO::File, IO::Dir, IO::Socket, IO::String,
Tie::File, File::Spec, File::Path and File::ReadBackwards; as well as all the
DBM and MLDBM modules. You can use most of the methods found in these classes
and in IO::Handle (which they inherit from). IO::All adds dozens of other
helpful idiomatic methods including file stat and manipulation functions.

IO::All is pluggable, and modules like IO::All::LWP and IO::All::Mailto add
even more functionality. Optionally, every IO::All object can be tied to 
itself. This means that you can use most perl IO builtins on it: readline, 
getc, print, printf, syswrite, sysread, close.

%package help
Summary: document files for %{name}
Requires: %{name} = %{version}-%{release}
%description help
The %{name}-doc package contains document files.

%prep
%autosetup -p1 -n IO-All-%{version}
find -type f -perm /0100 -name '*.pm' -exec chmod -c a-x {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
%make_build test

%files
%license LICENSE
%doc Changes CONTRIBUTING README example/
%{perl_vendorlib}/IO/

%files help
%{_mandir}/man*

%changelog
* Tue Jan 7 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.87-7
- Package init
